<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSIPNormalizationScriptReq StructType
 * @subpackage Structs
 */
class AddSIPNormalizationScriptReq extends APIRequest
{
    /**
     * The sIPNormalizationScript
     * @var XSIPNormalizationScript
     */
    public $sIPNormalizationScript;
    /**
     * Constructor method for AddSIPNormalizationScriptReq
     * @uses AddSIPNormalizationScriptReq::setSIPNormalizationScript()
     * @param XSIPNormalizationScript $sIPNormalizationScript
     */
    public function __construct(XSIPNormalizationScript $sIPNormalizationScript = null)
    {
        $this
            ->setSIPNormalizationScript($sIPNormalizationScript);
    }
    /**
     * Get sIPNormalizationScript value
     * @return XSIPNormalizationScript|null
     */
    public function getSIPNormalizationScript()
    {
        return $this->sIPNormalizationScript;
    }
    /**
     * Set sIPNormalizationScript value
     * @param XSIPNormalizationScript $sIPNormalizationScript
     * @return AddSIPNormalizationScriptReq
     */
    public function setSIPNormalizationScript(XSIPNormalizationScript $sIPNormalizationScript = null)
    {
        $this->sIPNormalizationScript = $sIPNormalizationScript;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSIPNormalizationScriptReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
